GUIX(1)

NAME
guix - manual page for guix show (GNU Guix) 1.4.0rc2

SYNOPSIS
guix home [OPTION ...] ACTION [ARG ...] [FILE]

DESCRIPTION
Build the home environment declared in FILE according to ACTION. Some ACTIONS support additional ARGS.

The valid values for ACTION are:

search
    search for existing service types

edit
    edit the definition of an existing service type

container
    run the home environment configuration in a container

reconfigure
    switch to a new home environment configuration

roll-back
    switch to the previous home environment configuration

describe
    describe the current home environment

list-generations
    list the home environment generations

switch-generation
    switch to an existing home environment configuration

    delete-generations delete old home environment generations build build the home environment without installing anything import generates a home environment definition from dotfiles extension-graph emit the service extension graph shepherd-graph emit the graph of shepherd services

-L, --load-path=DIR
    prepend DIR to the package module search path

-K, --keep-failed
    keep build tree of failed builds

-k, --keep-going
    keep going when some of the derivations fail

-n, --dry-run
    do not build the derivations

--fallback
    fall back to building when the substituter fails

--no-substitutes
    build instead of resorting to pre-built substitutes

--substitute-urls=URLS
    fetch substitute from URLS if they are authorized

--no-grafts
    do not graft packages

--no-offload
    do not attempt to offload builds

--max-silent-time=SECONDS
    mark the build as failed after SECONDS of silence

--timeout=SECONDS
    mark the build as failed after SECONDS of activity

--rounds=N
    build N times in a row to detect non-determinism

-c, --cores=N
    allow the use of up to N CPU cores for the build

-M, --max-jobs=N
    allow at most N build jobs

--debug=LEVEL
    produce debugging output at LEVEL

-e, --expression=EXPR
    consider the home-environment EXPR evaluates to instead of reading FILE, when applicable

--allow-downgrades for 'reconfigure', allow downgrades to earlier
    channel revisions

-N, --network
    allow containers to access the network

--share=SPEC
    for containers, share writable host file system according to SPEC

--expose=SPEC
    for containers, expose read-only host file system according to SPEC

-v, --verbosity=LEVEL
    use the given verbosity LEVEL

--graph-backend=BACKEND
    use BACKEND for 'extension-graph' and 'shepherd-graph'

-I, --list-installed[=REGEXP]
    for 'describe' or 'list-generations', list installed packages matching REGEXP

-h, --help
    display this help and exit

-V, --version
    display version information and exit

REPORTING BUGS
Report bugs to: bug-guix@gnu.org.
GNU Guix home page: <https://www.gnu.org/software/guix/>
General help using Guix and GNU software: <https://guix.gnu.org/en/help/>

COPYRIGHT
Copyright © 2022 the Guix authors License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
The full documentation for guix is maintained as a Texinfo manual. If the info and guix programs are properly installed at your site, the command

    info guix

should give you access to the complete manual.